## jpeg2000parse jpeg2000parse |

## Types and Values

struct | GstJPEG2000Parse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstJPEG2000Parse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | Aaron Boxer <boxerab@gmail.com>
class | Codec/Parser/Video/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/jp2
| image/x-jpc
| image/x-j2c

name | src
direction | source
presence | always
details | image/x-jpc, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE, YCbCrA-4:4:4:4 }, colorspace=(string){ sRGB, sYUV, GRAY }, profile=(int)[ 0, 49151 ], parsed=(boolean)true
| image/x-j2c, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE, YCbCrA-4:4:4:4 }, colorspace=(string){ sRGB, sYUV, GRAY }, profile=(int)[ 0, 49151 ], parsed=(boolean)true

## Functions

## Types and Values

### struct GstJPEG2000Parse

    struct GstJPEG2000Parse;